Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoNurbsProfile Class Reference
[Nodes]

The SoNurbsProfile class is a node for specifying smooth profile curves. More...

`#include <Inventor/nodes/SoNurbsProfile.h>`

Inheritance diagram for SoNurbsProfile:

List of all members.

## Public Methods
| SoNurbsProfile (void)
virtual void | getTrimCurve (SoState *state, int32_t &numpoints, float *&points, int &floatspervec, int32_t &numknots, float *&knotvector)
virtual void | getVertices (SoState *state, int32_t &numvertices, SbVec2f *&vertices)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoMFFloat | knotVector
## Protected Methods
virtual | ~SoNurbsProfile ()

## Detailed Description

The SoNurbsProfile class is a node for specifying smooth profile curves.

Use nodes of this type if you want to set up profiles that are smooth curves.

## Constructor & Destructor Documentation

SoNurbsProfile::SoNurbsProfile | ( | void |  | ) |

| Constructor.

SoNurbsProfile::~SoNurbsProfile | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoNurbsProfile::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoProfile.

void SoNurbsProfile::getTrimCurve | ( | SoState * | state,
|  | int32_t & | numpoints,
|  | float *& | points,
|  | int & | floatspervec,
|  | int32_t & | numknots,
|  | float *& | knotvector
| ) | `[virtual]`

| Return points and knotvector of the state. Implements SoProfile.

void SoNurbsProfile::getVertices | ( | SoState * | state,
|  | int32_t & | numvertices,
|  | SbVec2f *& | vertices
| ) | `[virtual]`

| Return vertex set of state. Implements SoProfile.

## Member Data Documentation

SoMFFloat SoNurbsProfile::knotVector

| Knot values for the nurbs curve.

The documentation for this class was generated from the following files:

- SoNurbsProfile.h
- SoNurbsProfile.cpp